//-------------------------------------------------------------------
//
// binStrengobjekt.cpp
//
// Skriver strengobjekt til binrfil.
// Leser deretter filen.
//
#include <iostream>
#include <fstream>
#include <string>
using namespace std;

const string filnavn = "strenger.bin";
int main()
{
  string etNavn = "Anne Kari Karlsen";

  ofstream ut;
  ut.open(filnavn.c_str(), ios::binary);

  // Frst antall tegn:
  int antTegn = etNavn.length();
  ut.write((char *)(&antTegn), sizeof(antTegn));

  // Skriver s ett og ett tegn av gangen:
  int indeks;
  for (indeks = 0; indeks < antTegn; indeks++) {
    ut.write((char *)(&etNavn[indeks]), 1);
    }

  ut.close();

  // pner filen og leser inn dataene til nye variabler
  ifstream inn;
  inn.open(filnavn.c_str(), ios::binary);

  int antTegnSomSkalLeses;
  inn.read((char *)(&antTegnSomSkalLeses), sizeof(antTegnSomSkalLeses));
  string objekt;
  int tegnNr;
  for (tegnNr = 0; tegnNr < antTegnSomSkalLeses; tegnNr++) {
    char tegn;
    inn.read((char *)(&tegn), 1);
    objekt += tegn;  // kan ikke bruke indeksering her
    }
  inn.close();

  cout << "Har lest inn " << objekt << endl;
  return 0;
} // main
