//-------------------------------------------------------------------
//
// prosjektoppgaveklient.cpp
//
// Enkel testklient for klassen Prosjektoppgave
//

#include <iostream>
#include "prosjektoppgave.h"
using namespace std;

int main()
{
  Prosjektoppgave oppgave(100, "Oppgave X", "Ole Hansen", "Per s");

  // Skriver ut alle data ved  bruke finn-funksjoner
  cout <<"Oppgave nr " << oppgave.finnNr() << " " <<
    oppgave.finnTittel() << "\n" << "Student: " <<
    oppgave.finnStudnavn().finnNavn() << "\n" << "Veileder: " <<
    oppgave.finnVeiledernavn().finnNavn() << endl;

  // Endrer data som kan endres, prver begge typer funksjoner
  oppgave.settNavnStudent("Andreas Haug");

  Navn nyVeileder("Ivar B");
  oppgave.settNavnVeileder(nyVeileder);

  Navn studNavn = oppgave.finnStudnavn();
  studNavn.settEtternavn("Johnsen");
  oppgave.settNavnStudent(studNavn);
  cout << oppgave.lagUtskrift() << endl;

  // Setter karakter, frst en ugyldig, s to gyldige
  cout << "Ugyldig karakter: " << boolalpha <<
                                  oppgave.settKarakter('u');
  cout << " lagret: " << oppgave.finnKarakter() << endl;
  cout << "Gyldig karakter: " << boolalpha <<
                                 oppgave.settKarakter('c');
  cout <<  " lagret: " << oppgave.finnKarakter() << endl;
  cout << "Gyldig karakter: " << boolalpha <<
                                 oppgave.settKarakter('B');
  cout << " lagret: " << oppgave.finnKarakter() << endl;

  // Prver lagUtskrift()-funksjonen
  cout << oppgave.lagUtskrift() << endl;
  return 0;
} // main
