//-------------------------------------------------------------------
//
// elevregister.h
//
// Klassen Elevregister for  administrere fravret til elever.
// Versjon uten bruk av vektor.
//
#ifndef ELEVREGISTER_DEFINERT
  #define ELEVREGISTER_DEFINERT
  #include <string>
  #include "elev.h"
  using namespace std;

  class Elevregister {
    public:      
      Elevregister();
      Elevregister(
        const Elevregister &original);  // Inn
      ~Elevregister();
      
      Elevregister &operator=(
                      const Elevregister &original); // Inn

      void        nyElev( 
                    const string &navn);          // Inn        
      bool        endreFravaer(  // false hvis elev ikke fins
                    const string &navn,           // Inn
                    int   endring);               // Inn            
      int         finnFravaer(  // false hvis elev ikke fins
                     const string &navn) const;   // Inn
      int         finnAntElever() const;
      const Elev *finnElev( // 0 hvis ugyldig indeks
                    int indeks) const;          // Inn

    private:
      void kopierData(const Elevregister &original);
      void utvidTabell();
      int  finnElevIndeks(const string &navn) const;

      Elev *elever;     
      int   antElever;
      int   maksAntElever;
  }; // Elevregister
#endif
