//-------------------------------------------------------------------
//
// elev.h
//
// Klassen Elev for  administrere fravret til elever.
//
#ifndef ELEV_FRAVAER_DEFINERT
  #define ELEV_FRAVAER_DEFINERT
  #include <string>
  #include <iostream>
  using namespace std;

  //-------------------------------------------------------------------
  //
  // Klassen Elev holder orden p en elevs navn og fravr.
  //
  // Sammenlikningsoperatorene == og < er implementert.
  // De tar kun hensyn til elevens navn.
  //
  class Elev {
    public:
      Elev();  
      Elev(
        const string &initNavn);                // Inn
    
      void          settNavn(
                      const string &nyttNavn);  // Inn
      void          settFravaer(
                      int nyttFravaer);         // Inn
      void          endreFravaer(
                      int endring);             // Inn
      int           finnFravaer() const;
      const string &finnNavn() const;
            
      bool          operator==( 
                      const Elev &denAndre) const; // Inn
      bool          operator<(  
                      const Elev &denAndre) const; // Inn
   
    private:
      string navn;
      int    fravaer;
  }; // Elev

  ostream &operator<<(
    ostream    &ut,       // Inn/ut
    const Elev &eleven);  // Inn
#endif
