//-------------------------------------------------------------------
//
// golv.cpp
//
// Et program som beregner materialforbruk for golvbelegg
//
#include <iostream>
using namespace std;
void instruksjoner();
int  beregnForbruk(int lengdeA, int lengdeB, int bredde);
int  minimum(int tall1, int tall2);
  
int main()
{
  int lengde;
  int bredde;
  int golvbeleggBredde; 
  instruksjoner();
  cin >> golvbeleggBredde >> lengde >> bredde;
  
  int forbruk1 = beregnForbruk(lengde, bredde, golvbeleggBredde);
  int forbruk2 = beregnForbruk(bredde, lengde, golvbeleggBredde);
  
  int minsteForbruk = minimum(forbruk1, forbruk2);
  cout << "Kjp " << minsteForbruk << " meter " << endl;
  return 0;
} // main  

//-------------------------------------------------------------------
//
// Funksjon som forklarer brukeren hvordan programmet skal brukes
//
void instruksjoner()
{
  cout << "Dette programmet lar deg beregne hvor mange meter ";
  cout << "golvbelegg du trenger" << endl;                 
  cout << "Angi frst golvbeleggets bredde, deretter ";
  cout << "lengde og bredde p golvet" << endl;
} // instruksjoner

//-------------------------------------------------------------------  
//
// Beregner forbruket nr leggeretningen er gitt
// 
int beregnForbruk(
  int lengdeA,          // Inn: bestemmer antall belegg-bredder
  int lengdeB,          // Inn: bestemmer hvor lang hver del skal vre
  int bredde)           // Inn: bredden p belegget
{
  int antallBredder;
  int forbruk;
  
  antallBredder = lengdeA / bredde;
  if (antallBredder * bredde < lengdeA) {
    antallBredder = antallBredder + 1;
    }                      
  forbruk = antallBredder * lengdeB;
  return forbruk;
} // beregnForbruk

//-------------------------------------------------------------------
//
// Funksjon som bestemmer det minste av to tall
//
int minimum(
  int tall1,            // Inn
  int tall2)            // Inn
{
  if (tall1 <= tall2) return tall1;
  else return tall2;  
} // minimum    
      