//-------------------------------------------------------------------
//
// kontroll.cpp
//
// Funksjoner for kontroll av inndata
//

#include <cctype>
#include <iostream>
using namespace std;

//-------------------------------------------------------------------
//
// Funksjonen leser inn en bokstav fra brukeren.
// Bokstaven m vre enten stor eller liten utgave av argumentene.
// Ledetekst m skrives av det kallende programmet.
// Funksjonen gr i lkke inntil bruker skriver en gyldig verdi.
// Verdien returneres som en stor bokstav.
//
char lesLovligSvar(
  char lovlig1,     // Inn
  char lovlig2)     // Inn
{                         
  lovlig1 = toupper(lovlig1);
  lovlig2 = toupper(lovlig2);
  char lovlig1Liten = tolower(lovlig1);
  char lovlig2Liten = tolower(lovlig2);
  char svar;
  cin >> svar;
  svar = toupper(svar);
  while (svar != lovlig1 && svar != lovlig2) {
    cout << "Feil! Skriv " << lovlig1 << ", " << lovlig1Liten
      << ", " << lovlig2 << " eller " << lovlig2Liten << " : ";
    cin >> svar;                      
    svar = toupper(svar);
    }  // behandling av feil inntasting fra bruker
  return svar;
} // lesLovligSvar

//-------------------------------------------------------------------
//
// Funksjon som leser et tall fra brukeren. Tallet m ligge i det 
// lukkede intervallet [nedre, ovre]. Grensene byttes om dersom nedre
// er strre enn ovre. Funksjonen gr i lkke inntil gyldig
// svar fra bruker. Tallet returneres. Programmet som bruker 
// funksjonen m skrive ledeteksten.
//                    
int lesTallIIntervall(
  int nedre,
  int ovre)
{             
  if (nedre > ovre) {     // bytter eventuelt om grensene
    int hjelp = nedre;
    nedre = ovre;
    ovre = hjelp;
    }
  int tall;                      
  cin >> tall;             
  while (tall < nedre || tall > ovre) {
    cout << "Ugyldig verdi. Skriv et tall i intervallet ["
      << nedre << "," << ovre << "] : ";
    cin >> tall;
    } // behandling av ugyldige inndata                
  return tall;  
} // lesTallIIntervall