//-------------------------------------------------------------------
//
// string_soek.cpp
//
// Prver ut ulike skefunksjoner p strengobjekter.
//
#include <iostream>
#include <string>
using namespace std;

int main()
{
  string tekst = "Dette er en testetekst med mange e-er";
  cout << "Originalteksten: " << tekst << endl;
  cout << "Denne teksten har lengde: " << tekst.length() << endl;
  cout << "Posisjonene nummereres fra og med 0, til og med " <<
                                    (tekst.length() - 1) << endl;

  // Prver sk forfra med funksjonen find()
  int pos = tekst.find('e', 0);  // Finner frste 'e'
  cout << "Den frste e-en er p posisjon: " << pos << endl;
  pos = tekst.find('e', pos + 1);  // Finner neste 'e'
  cout << "Den neste e-en er p posisjon: " << pos << endl;
  pos = tekst.find("te", 0);
  cout << "Frste forekomst av \"te\"  er p posisjon: " << pos << endl;
  pos = tekst.find("te", pos + 1);
  cout << "Neste forekomst av \"te\"  er p posisjon: " << pos << endl;

  // Finner alle 't'-er:
  cout << "Skal n finne alle t-ene: " << endl;
  pos = tekst.find('t', 0);
  while (pos != string::npos) {
    cout << "Vi fant t p posisjon: " << pos << endl;
    pos = tekst.find('t', pos + 1);
    }

  // Prver sk bakfra med funksjonen rfind()
  int sistePos = tekst.length() - 1;
  pos = tekst.rfind('e', sistePos); // Finner bakerste 'e'
  cout << "Den siste e-en er p posisjon: " << pos << endl;
  pos = tekst.rfind('e', pos - 1);  // Finner nest bakerste 'e'
  cout << "Nest siste e er p posisjon: " << pos << endl;
  pos = tekst.rfind("te", sistePos);
  cout << "Siste forekomst av \"te\"  er p posisjon: " << pos << endl;
  pos = tekst.rfind("te", pos - 1);
  cout << "Nest siste forekomst av \"te\"  er p posisjon: " << pos << endl;
  return 0;
} // main
