//--------------------------------------------------------------------
//
// tallfil.cpp
//
// Programmet leser positive tall fra fil og skriver summen av
// tallene til skjermen. Tallrekka avsluttes med 0 eller et 
// negativt tall.
//
#include <fstream>
#include <cstdlib>
#include <iostream>
#include <string>
using namespace std;

const string filnavn = "tallfil.dat";

int main()
{
  ifstream innfil;  
  innfil.open(filnavn.c_str());  
  if (!innfil) {
    cout << "Feil ved pning av innfil." << endl;
    exit(EXIT_FAILURE);
    }
               
  int tall;
  int sum = 0;
  innfil >> tall;
  while (tall > 0) {
    sum += tall;
    innfil >> tall;
    }
  cout << "Summen er " << sum << endl;
  innfil.close();
  return 0;
} // main
