//-------------------------------------------------------------------
//
// toerpot.cpp
//
// Programmet skriver toerpotenser til fil.
// Alle toerpotenser mindre enn halvparten av
// maksimalverdien til "long int" skrives ut.
//
#include <climits>
#include <fstream>
#include <iomanip>
#include <cstdlib>
#include <iostream>
#include <string>
using namespace std;
                                             
const string filnavn = "toerpot.dat";
                                             
int main()
{
  ofstream utfil;
  utfil.open(filnavn.c_str());
  if (!utfil) {
    cout << "Feil ved pning av utfil." << endl;
    exit(EXIT_FAILURE);
    }
  
  long int toerPotens = 1L;
  int potens = 0;
  while (toerPotens <= LONG_MAX / 2L) {
    potens++;
    toerPotens *= 2L;
    utfil << "2 opphyd i " << setw(4) << potens << " er " 
          << toerPotens << endl;
    }
  utfil.close();
  return 0;
} // main
