//-------------------------------------------------------------------
//
// konto.cpp - implementasjonsfil
//                                
#include "konto.h"
//-------------------------------------------------------------------
void Konto::settSaldo(double nySaldo)
{
  saldo = nySaldo;
} // settSaldo

//-------------------------------------------------------------------
void Konto::settGrense(double nyGrense)
{
  grense = nyGrense;
} // nyGrense

//-------------------------------------------------------------------
double Konto::finnSaldo() const
{
  return saldo;
} // finnSaldo

//-------------------------------------------------------------------
double Konto::finnGrense() const
{
  return grense;
} // finnGrense

//-------------------------------------------------------------------
double Konto::finnDisponibelt() const
{
  return grense + saldo;
} // finnGrense

//-------------------------------------------------------------------
void Konto::innskudd(double beloep) 
{
  saldo += beloep;
} // innskudd

//-------------------------------------------------------------------
bool Konto::uttakOK(double beloep)
{
  if (saldo + grense < beloep) {
    return false;
    }
  else {
    saldo -= beloep;
    return true;
    }
} // uttak
