//-------------------------------------------------------------------
//
// switch.cpp
//
// Eksempler p bruk av switch
//              
#include <iostream>
#include "nytte.h"
using namespace std;
enum ukedag {man, tirs, ons, tors, fre, loer, soen};
//-------------------------------------------------------------------
//
// Funksjon som skriver en ukedag til skjermen, avhengig av verdien
// til inn-argumentet dag
//
void skrivUkedag(
  ukedag dag)       // Inn
{
  switch (dag) {
    case man:
      cout << "mandag";
      break;
    case tirs:
      cout << "tirsdag";
      break;
    case ons:
      cout << "onsdag";
      break;
    case tors:
      cout << "torsdag";
      break;
    case fre:
      cout << "fredag";
      break;
    case loer:
      cout << "lrdag";
      break;
    case soen:
      cout << "sndag";
      break;
    default:
      cout << "Hvilken dag??? Tallverdi " << (int)dag << endl;
      break;
    } // switch
} // skrivUkedag                     

//-------------------------------------------------------------------
//
// Funksjon som konverterer en liten bokstav ('a'-'') til stor.
// Dersom inn-argumentet tegn ikke er en bokstav, returneres det
// uforandret.
//                                     
char tilStorBokstav(
  char tegn)    // Inn
{               
  char nyttTegn;
  if (tegn >= 'a' && tegn <= 'z') {
    nyttTegn = (char)(tegn - ('a' - 'A'));
    }
  else {  
    switch (tegn) {
      case '':
        nyttTegn = '';
        break;
      case '':
        nyttTegn = '';
        break;
      case '':
        nyttTegn = '';
        break;
      default:        
        nyttTegn = tegn;   // andre tegn enn sm bokstaver 
                           // konverteres ikke
        break;
      } // switch
    } // else
  return nyttTegn;  
} // tilStorBokstav

//-------------------------------------------------------------------
//
// Funksjon som leser et tall i intervallet [1,11] og forteller
// om det er primtall eller ikke. Funksjonen lesTallIIntervall
// fra nytte.h benyttes til  lese tallet fra tastaturet.

#include "nytte.h"
void primTallTest()
{                                          
  const int ovre = 11;
  const int nedre = 1;
  int tall;
  cout << endl;
  cout << "Her kan du f vite om et tall i " << endl;
  cout << "intervallet [" << nedre << ", " << ovre ;
  cout << "] er et primtall. Skriv et tall : ";         
  tall = lesTallIIntervall(nedre, ovre);
  switch (tall) {
    case 4:
      // ikke break
    case 6:
      // ikke break
    case 8:
      // ikke break
    case 9:
      // ikke break
    case 10:       
      cout << "Tallet er ikke et primtall" << endl;
      break;
    default:
      cout << "Tallet er et primtall" << endl;
    } // switch    
} // primTallTest