//-------------------------------------------------------------------
//
// broek_t.cpp 
//
// Program som tester noen av funksjonene i klassen brk.
//
#include <iostream>
#include <string>
#include "broek.h"

using namespace std;

void skriv(const string &tekst, const Broek &Broek);

int main() 
{
  Broek a(10, 20);
  Broek b(3, 4);
  Broek c;
  c.settBroek(5);
  Broek d = a / b;

  skriv("a = ", a);
  skriv("b = ", b);
  skriv("c = ", c);
  skriv("d = ", d);

  b += a;
  ++c;
  d *= d;

  skriv("b = ", b);
  skriv("c = ", c);
  skriv("d = ", d);

  c = a + b - d * a;
  c = -c;

  skriv("c = ", c);

  if (a + b != c + d) cout << "a + b != c + d" << endl;
  else cout << " a + b == c + d" << endl;
  while ( b > a) b -= a;
  skriv("b = ", b); 

  return 0;
} // main

//-------------------------------------------------------------------
//
// Funksjon for  skrive en brk.
//
void skriv(
  const string &tekst,        // Inn
  const Broek  &broek)        // Inn
{
  cout << tekst << broek.finnTeller() << " / ";
  cout << broek.finnNevner() << endl;
} // skriv

