//-------------------------------------------------------------------
//
// elevregister.h
//
// Klassen Elevregister for  administrere fravret til elever.
//
#ifndef ELEVREGISTER_DEFINERT
  #define ELEVREGISTER_DEFINERT
  #include <string>
  #include <vector>
  #include "elev.h"
  using namespace std;

  class Elevregister {
    public:      
      void        nyElev( 
                    const string &navn);          // Inn        
      bool        endreFravaer(  // false hvis elev ikke fins
                    const string &navn,           // Inn
                    int   endring);               // Inn            
      int         finnFravaer(  // -1 hvis elev ikke fins
                     const string &navn) const;   // Inn
      int         finnAntElever() const;
      const Elev *finnElev( // 0 hvis ugyldig indeks
                    int indeks) const;          // Inn

    private:
      vector<Elev> elever;     
  }; // Elevregister
#endif
