//--------------------------------------------------------------------
//                   
// sumOdde.cpp
//
// Programmet beregner summen av oddetallene i et gitt intervall.
// Intervallgrensen leses inn fra bruker.
//
#include <iostream>
using namespace std;
void instruksjoner();
int  beregnOddetallsum(int nedre, int ovre);

int main()
{
  int nedre;
  int ovre;
  
  instruksjoner();
  cin >> nedre >> ovre;
    
  int sum = beregnOddetallsum(nedre, ovre);  

  cout << "Summen av oddetallene i dette intervallet er " 
    << sum << endl;
  return 0;
} // main

//-------------------------------------------------------------------
//
// Instruksjoner til brukeren
//
void instruksjoner()
{
  cout << "Her summeres oddetallene innenfor et gitt intervall";
  cout << endl;
  cout << 
    "Skriv nedre og vre grense for tallene som skal summeres: ";
} // instruksjoner
    
//-------------------------------------------------------------------    
//
// Funksjon som beregner summen av oddetallene i intervallet
// [nedre, ovre].
//
int beregnOddetallsum(
  int nedre,    // Inn
  int ovre)     // Inn
{ 
  // Starter p (nedre + 1) dersom nedre ikke er et oddetall. 
  if (nedre % 2 == 0) nedre = nedre + 1;

  int sum = 0;
  int teller;
  for (teller = nedre; teller <= ovre; teller = teller + 2) {
    sum = sum + teller;                                      
    }                                 
  return sum;  
} // beregnOddetallsum
