//-------------------------------------------------------------------
//
// stbokst.cpp
//             
// Programmet leser tekst fra bruker, og sender den tilbake konvertert
// til store bokstaver. Innlesingen avsluttes nr # ptreffes.
// Konverteringen ligger i en funksjon.
//
#include <string>
#include <cctype>
#include <iostream>
using namespace std;

const char sluttTegn = '#';   

string lagStoreBokstaver(string tekst);
                                                              
int main()
{    
  string ord;  
  cout << "Skriv en tekst, avslutt med blank og " << sluttTegn << ": " << endl;
  cin >> ord;
  while (ord[0] != sluttTegn) {
    string stort = lagStoreBokstaver(ord);
    cout << stort << " ";
    cin >> ord;  
    } 
  return 0;
} // main          
 
//-------------------------------------------------------------------
//
// Funksjonen konverterer alle bokstavene i en tekststreng til store.
//
string lagStoreBokstaver(
  string tekst)          // Inn
{
  int antTegn = tekst.length();
  string nyTekst(antTegn, ' ');
  int teller;
  for (teller = 0; teller < antTegn; teller++) {
    char tegn = tekst[teller];
    if (tegn == '') tegn = '';
    else if (tegn == '') tegn = '';
    else if (tegn == '') tegn = '';
    else tegn = toupper(tegn);
    nyTekst[teller] = tegn;
    }
  return nyTekst;
} // lagStoreBokstaver