//-------------------------------------------------------------------
//
// string_endre.cpp
//
// Prver ut ulike funksjoner for  forandre p innholdet i
// et strengobjekt.
//
#include <iostream>
#include <string>
using namespace std;

int main()
{
  string tekst = "Dette er en testetekst med mange e-er";
  cout << "Originalteksten: " << tekst << endl;

  // Bytter ut alle e-er med to a-er
  int pos = tekst.find('e', 0);
  while (pos != string::npos) {
    tekst.replace(pos, 1, "aa");
    pos = tekst.find('e', pos + 2); // lengden p "aa" er 2
    }
  cout << "Hver e er byttet ut med to a-er:" << endl << tekst << endl;

  // Fjerner alle dobbelt-a-ene. Setter ikke noe annet i stedet.
  pos = tekst.find("aa", 0);
  while (pos != string::npos) {
    tekst.erase(pos, 2);  // fjerner to tegn
    pos = tekst.find("aa", pos + 1);
    }
  cout << "Finner ikke \"aa\": " << tekst << endl;

  // Setter inn "**" foran hver t
  pos = tekst.rfind('t',tekst.length() - 1);
  while (pos != string::npos) {
    tekst.insert(pos, "**");
    pos = tekst.rfind('t', pos - 1);
    }
  cout << "To stjerner foran hver t: " << tekst << endl;
  return 0;
} // main
