//--------------------------------------------------------------------
//
// tegntell.cpp
//
// Programmet leser ei rekke ord og teller
// antall forekomster av et bestemt tegn. Dette tegnet leses inn
// i begynnelsen av programmet. Ordrekka avsluttes med den navngitte 
// konstanten sluttTegn i 1.posisjon.
//
#include <iostream>
#include <string>
using namespace std;

const char sluttTegn = '#'; // Tegnet som markerer slutt p inndata

void instruksjoner();
int  antForekomst(char soekeTegn, string ord);

int main()
{
  instruksjoner();
  char soekeTegn;
  cout << "Oppgi sketegn: ";
  cin >> soekeTegn;
  cout << "Skriv teksten, avslutt med " << sluttTegn << ": ";
  string ord;
  int antFunnet = 0;
  cin >> ord;     
  while (ord[0] != sluttTegn) {
    antFunnet = antFunnet + antForekomst(soekeTegn, ord);
    cin >> ord;
    } 
  cout << "Programmet fant " << antFunnet << " forekomster av "
       << soekeTegn << endl;
  return 0;
} // main

//-------------------------------------------------------------------
//
// Funksjonen skriver instruksjoner til brukeren
//
void instruksjoner()
{
  
  cout << "Programmet teller opp antall forekomster av et bestemt " <<
	      "tegn i en tekst." << endl;
  cout << "Du blir spurt om dette tegnet, " << 
	      "deretter skriver du inn teksten. " << endl;
  cout << "Avslutt med " << sluttTegn << " som eget ord." << endl;
} // instruksjoner

//-------------------------------------------------------------------
//
// Funksjonen finner antall forekomster av soeketegn 
// i tekststrengen ord             
//
int antForekomst(                                   
  char   soekeTegn,  // Inn
  string ord)       // Inn
{ 
  int antall = 0;              
  int teller;
  for (teller = 0; teller < ord.length(); teller++) {
    if (ord[teller] == soekeTegn) antall++;
    }            
  return antall;  
} // antForekomst 
